# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPP/catch/test.pm) perl(Catalyst/Runtime.pm) perl(Class/Accessor/Inherited/XS.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(FindBin.pm) perl(Panda/Config/Perl.pm) perl(Panda/Install.pm) perl(Panda/Lib.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Simple.pm)
# END SourceDeps(oneline)
%define module_name Catalyst-Plugin-Config-Perl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.3
Release: alt1
Summary: use Panda::Config::Perl with catalyst.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYBER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin automatically processes configs via the Panda::Config::Perl manpage's `process' passing `local.conf' as starting config file if
it exists. If it doesn't, `conf/[myapp].conf' is used.

If you want other file to be used, set `file' option of this module's config before setup phase. For example:

    MyApp->config->{'Plugin::Config::Perl'}{file} = 'conf/myfile.conf'; # path is relative to the project's dir

This plugin passes `MyApp-'config> as an initial config for the Panda::Config::Perl manpage's `process'.

This plugin is a new version of the Catalyst::Plugin::ConfigLoader::MultiState manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/C*

%changelog
* Thu Feb 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1
- initial import by package builder

